# -*- encoding: utf-8 -*-
# stub: diaspora_federation 0.0.13 ruby lib

Gem::Specification.new do |s|
  s.name = "diaspora_federation"
  s.version = "0.0.13"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Benjamin Neff"]
  s.date = "2016-07-09"
  s.description = "This gem provides the functionality for de-/serialization and de-/encryption of Entities in the protocols used for communication among the various installations of Diaspora*"
  s.email = ["benjamin@coding4.coffee"]
  s.files = ["LICENSE", "README.md", "lib/diaspora_federation.rb", "lib/diaspora_federation/callbacks.rb", "lib/diaspora_federation/discovery.rb", "lib/diaspora_federation/discovery/discovery.rb", "lib/diaspora_federation/discovery/exceptions.rb", "lib/diaspora_federation/discovery/h_card.rb", "lib/diaspora_federation/discovery/host_meta.rb", "lib/diaspora_federation/discovery/web_finger.rb", "lib/diaspora_federation/discovery/xrd_document.rb", "lib/diaspora_federation/entities.rb", "lib/diaspora_federation/entities/account_deletion.rb", "lib/diaspora_federation/entities/comment.rb", "lib/diaspora_federation/entities/contact.rb", "lib/diaspora_federation/entities/conversation.rb", "lib/diaspora_federation/entities/like.rb", "lib/diaspora_federation/entities/location.rb", "lib/diaspora_federation/entities/message.rb", "lib/diaspora_federation/entities/participation.rb", "lib/diaspora_federation/entities/person.rb", "lib/diaspora_federation/entities/photo.rb", "lib/diaspora_federation/entities/poll.rb", "lib/diaspora_federation/entities/poll_answer.rb", "lib/diaspora_federation/entities/poll_participation.rb", "lib/diaspora_federation/entities/post.rb", "lib/diaspora_federation/entities/profile.rb", "lib/diaspora_federation/entities/relayable.rb", "lib/diaspora_federation/entities/relayable_retraction.rb", "lib/diaspora_federation/entities/request.rb", "lib/diaspora_federation/entities/reshare.rb", "lib/diaspora_federation/entities/retraction.rb", "lib/diaspora_federation/entities/signed_retraction.rb", "lib/diaspora_federation/entities/status_message.rb", "lib/diaspora_federation/entity.rb", "lib/diaspora_federation/federation.rb", "lib/diaspora_federation/federation/fetcher.rb", "lib/diaspora_federation/federation/receiver.rb", "lib/diaspora_federation/federation/receiver/abstract_receiver.rb", "lib/diaspora_federation/federation/receiver/exceptions.rb", "lib/diaspora_federation/federation/receiver/private.rb", "lib/diaspora_federation/federation/receiver/public.rb", "lib/diaspora_federation/federation/sender.rb", "lib/diaspora_federation/federation/sender/hydra_wrapper.rb", "lib/diaspora_federation/http_client.rb", "lib/diaspora_federation/logging.rb", "lib/diaspora_federation/properties_dsl.rb", "lib/diaspora_federation/salmon.rb", "lib/diaspora_federation/salmon/aes.rb", "lib/diaspora_federation/salmon/encrypted_magic_envelope.rb", "lib/diaspora_federation/salmon/encrypted_slap.rb", "lib/diaspora_federation/salmon/exceptions.rb", "lib/diaspora_federation/salmon/magic_envelope.rb", "lib/diaspora_federation/salmon/slap.rb", "lib/diaspora_federation/salmon/xml_payload.rb", "lib/diaspora_federation/validators.rb", "lib/diaspora_federation/validators/account_deletion_validator.rb", "lib/diaspora_federation/validators/comment_validator.rb", "lib/diaspora_federation/validators/contact_validator.rb", "lib/diaspora_federation/validators/conversation_validator.rb", "lib/diaspora_federation/validators/h_card_validator.rb", "lib/diaspora_federation/validators/like_validator.rb", "lib/diaspora_federation/validators/location_validator.rb", "lib/diaspora_federation/validators/message_validator.rb", "lib/diaspora_federation/validators/participation_validator.rb", "lib/diaspora_federation/validators/person_validator.rb", "lib/diaspora_federation/validators/photo_validator.rb", "lib/diaspora_federation/validators/poll_answer_validator.rb", "lib/diaspora_federation/validators/poll_participation_validator.rb", "lib/diaspora_federation/validators/poll_validator.rb", "lib/diaspora_federation/validators/profile_validator.rb", "lib/diaspora_federation/validators/relayable_retraction_validator.rb", "lib/diaspora_federation/validators/relayable_validator.rb", "lib/diaspora_federation/validators/request_validator.rb", "lib/diaspora_federation/validators/reshare_validator.rb", "lib/diaspora_federation/validators/retraction_validator.rb", "lib/diaspora_federation/validators/rules/birthday.rb", "lib/diaspora_federation/validators/rules/boolean.rb", "lib/diaspora_federation/validators/rules/diaspora_id.rb", "lib/diaspora_federation/validators/rules/diaspora_id_count.rb", "lib/diaspora_federation/validators/rules/guid.rb", "lib/diaspora_federation/validators/rules/not_nil.rb", "lib/diaspora_federation/validators/rules/public_key.rb", "lib/diaspora_federation/validators/rules/tag_count.rb", "lib/diaspora_federation/validators/signed_retraction_validator.rb", "lib/diaspora_federation/validators/status_message_validator.rb", "lib/diaspora_federation/validators/web_finger_validator.rb", "lib/diaspora_federation/version.rb", "lib/tasks/build.rake", "lib/tasks/diaspora_federation_tasks.rake", "lib/tasks/tests.rake"]
  s.homepage = "https://github.com/SuperTux88/diaspora_federation"
  s.licenses = ["AGPL 3.0 - http://www.gnu.org/licenses/agpl-3.0.html"]
  s.required_ruby_version = Gem::Requirement.new("~> 2.0")
  s.rubygems_version = "2.5.1"
  s.summary = "diaspora* federation library"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>, ["~> 0.9.0"])
      s.add_runtime_dependency(%q<faraday_middleware>, ["~> 0.10.0"])
      s.add_runtime_dependency(%q<nokogiri>, [">= 1.6.7.2", "~> 1.6"])
      s.add_runtime_dependency(%q<typhoeus>, ["~> 1.0"])
      s.add_runtime_dependency(%q<valid>, ["~> 1.0"])
    else
      s.add_dependency(%q<faraday>, ["~> 0.9.0"])
      s.add_dependency(%q<faraday_middleware>, ["~> 0.10.0"])
      s.add_dependency(%q<nokogiri>, [">= 1.6.7.2", "~> 1.6"])
      s.add_dependency(%q<typhoeus>, ["~> 1.0"])
      s.add_dependency(%q<valid>, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<faraday>, ["~> 0.9.0"])
    s.add_dependency(%q<faraday_middleware>, ["~> 0.10.0"])
    s.add_dependency(%q<nokogiri>, [">= 1.6.7.2", "~> 1.6"])
    s.add_dependency(%q<typhoeus>, ["~> 1.0"])
    s.add_dependency(%q<valid>, ["~> 1.0"])
  end
end
